oasis.names.tc.saml._1_0.assertion

## Class Advice

- java.lang.Object
- - oasis.names.tc.saml._1_0.assertion.Advice

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:18:07+02:00",
                 comments="JAXB RI v2.2.11")
      public class Advice
      extends Object
      implements Serializable

  Java class for AdviceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AdviceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded" minOccurs="0">
               <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}AssertionIDReference"/>
               <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}Assertion"/>
               <any processContents='lax' namespace='##other'/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Advice()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getAssertionIDReferencesAndAssertionsAndAnies()` Gets the value of the assertionIDReferencesAndAssertionsAndAnies property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Advice

          public Advice()

  - ### Method Detail

    - #### getAssertionIDReferencesAndAssertionsAndAnies

          public List<Object> getAssertionIDReferencesAndAssertionsAndAnies()

      Gets the value of the assertionIDReferencesAndAssertionsAndAnies property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the assertionIDReferencesAndAssertionsAndAnies property.

      For example, to add a new item, do as follows:

              getAssertionIDReferencesAndAssertionsAndAnies().add(newItem);

      Objects of the following type(s) are allowed in the list `Assertion` `JAXBElement``<``String``>` `Element`

Connector Packaging TECHNICAL 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.